> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostposter.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prompts



## OpenAPI

````yaml https://server.ghostposter.co/openapi.json get /api/v1/projects/{project_id}/prompts
openapi: 3.1.0
info:
  title: GHOST POSTER - BACKEND
  description: 'Version: 1.0.0, Build: 1000'
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/projects/{project_id}/prompts:
    get:
      tags:
        - Prompts
      summary: List Prompts
      operationId: list_prompts_api_v1_projects__project_id__prompts_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ServerResponse:
      properties:
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        success:
          type: boolean
          title: Success
      type: object
      required:
        - success
      title: ServerResponse
      example:
        data: {}
        success: true
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````